/// <reference types="react" />
import type { FlexProps } from "./flex";
import type { BoxProps } from "./box";
interface ModalContextValue {
    scrollBehavior?: "inside" | "outside";
    autoFocus?: boolean;
    restoreFocus?: boolean;
    initialFocusRef?: React.RefObject<any>;
    finalFocusRef?: React.RefObject<any>;
}
export interface ModalHeaderProps extends BoxProps {
}
export interface ModalBodyProps extends BoxProps {
}
export interface ModalFooterProps extends FlexProps {
}
export interface ModalProps extends ModalContextValue, FlexProps {
    isOpen: boolean;
    onClose: () => void;
    overlayRef?: React.RefObject<any>;
    contentRef?: React.RefObject<any>;
    container?: HTMLElement | (() => HTMLElement);
}
export declare function Modal({ isOpen, onClose, scrollBehavior, autoFocus, restoreFocus, initialFocusRef, finalFocusRef, overlayRef, contentRef, container, className, children, ...rest }: ModalProps): JSX.Element;
export declare namespace Modal {
    var Header: import("react").ForwardRefExoticComponent<ModalHeaderProps & import("react").RefAttributes<HTMLElement>>;
    var Body: import("react").ForwardRefExoticComponent<ModalBodyProps & import("react").RefAttributes<HTMLElement>>;
    var Footer: import("react").ForwardRefExoticComponent<ModalFooterProps & import("react").RefAttributes<HTMLElement>>;
    var displayName: string;
}
export {};
