/// <reference types="react" />
import type { Placement, Strategy } from "@floating-ui/react-dom";
import type { BoxProps } from "./box";
export interface PopoverProps extends BoxProps {
    title?: React.ReactNode;
    content?: React.ReactNode;
    placement?: Placement;
    strategy?: Strategy;
    trigger?: "hover" | "click";
    mouseEnterDelay?: number;
    mouseLeaveDelay?: number;
    isOpen?: boolean;
    defaultIsOpen?: boolean;
    onOpen?: () => void;
    onClose?: () => void;
    container?: HTMLElement | (() => HTMLElement);
    children?: React.ReactNode;
}
export declare const Popover: import("react").ForwardRefExoticComponent<PopoverProps & import("react").RefAttributes<HTMLDivElement>>;
