import * as SliderPrimitive from "@radix-ui/react-slider";
import { forwardRef } from "react";
import { margin, width, height } from "styled-system";
import styled from "styled-components";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const SliderTrack = styled(SliderPrimitive.Track).withConfig({
  displayName: "slider__SliderTrack",
  componentId: "sc-fjv7yw-0"
})(["position:relative;flex-grow:1;border-radius:", "px;background-color:", ";transition:background-color 0.3s;&[data-orientation=\"horizontal\"]{height:4px;}&[data-orientation=\"vertical\"]{width:4px;height:100%;}"], p => p.theme.radii.base, p => p.theme.colors.gray[2]);
const SliderRange = styled(SliderPrimitive.Range).withConfig({
  displayName: "slider__SliderRange",
  componentId: "sc-fjv7yw-1"
})(["position:absolute;border-radius:inherit;background-color:", ";transition:background-color 0.3s;&[data-orientation=\"horizontal\"]{height:100%;}&[data-orientation=\"vertical\"]{width:100%;}"], p => p.theme.colors.primary[2]);
const SliderThumb = styled(SliderPrimitive.Thumb).withConfig({
  displayName: "slider__SliderThumb",
  componentId: "sc-fjv7yw-2"
})(["display:block;width:12px;height:12px;border-radius:50%;background-color:", ";border:solid 2px ", ";transition:border-color 0.3s;cursor:pointer;&:focus{border-color:", ";box-shadow:0 0 0 4px ", ";outline:none;}"], p => p.theme.colors.gray[0], p => p.theme.colors.primary[2], p => p.theme.colors.primary.base, p => p.theme.colors.primary[2]);
const SliderRoot = styled(SliderPrimitive.Root).withConfig({
  displayName: "slider__SliderRoot",
  componentId: "sc-fjv7yw-3"
})(["position:relative;display:flex;align-items:center;user-select:none;touch-action:none;cursor:pointer;", " &[data-orientation=\"horizontal\"]{width:100%;height:20px;", "}&[data-orientation=\"vertical\"]{flex-direction:column;width:20px;height:100%;", "}&:not([data-disabled]):hover{", "{background-color:", ";}", "{background-color:", ";}", "{border-color:", ";}}&[data-disabled]{&,", "{cursor:not-allowed;}", "{background-color:", ";}", "{background-color:", ";border-color:", ";}}"], margin, width, height, SliderTrack, p => p.theme.colors.gray[4], SliderRange, p => p.theme.colors.primary.hover, SliderThumb, p => p.theme.colors.primary.hover, SliderThumb, SliderRange, p => p.theme.colors.disabled, SliderThumb, p => p.theme.colors.bg.component, p => p.theme.colors.disabled);
export const Slider = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    onChange,
    ...rest
  } = _ref;
  const value = rest.defaultValue ?? rest.value;
  const thumbs = Array.isArray(value) ? value : [value];
  return /*#__PURE__*/_jsxs(SliderRoot, {
    ref: ref,
    ...rest,
    onValueCommit: onChange,
    children: [/*#__PURE__*/_jsx(SliderTrack, {
      children: /*#__PURE__*/_jsx(SliderRange, {})
    }), thumbs.map((_, i) => /*#__PURE__*/_jsx(SliderThumb, {}, i))]
  });
});
if (process.env.NODE_ENV !== "production") {
  Slider.displayName = "Slider";
}