import { forwardRef } from "react";
import { layout, space } from "styled-system";
import styled, { keyframes } from "styled-components";
import { VisuallyHidden } from "./visually-hidden";
import { jsx as _jsx } from "react/jsx-runtime";
const spin = keyframes({
  "0%": {
    transform: "rotate(0deg)"
  },
  "100%": {
    transform: "rotate(360deg)"
  }
});
const StyledSpinner = styled.div.withConfig({
  displayName: "spinner__StyledSpinner",
  componentId: "sc-29jyzb-0"
})(["display:inline-block;border-color:currentColor;border-style:solid;border-radius:100%;border-width:", ";border-bottom-color:transparent;border-left-color:transparent;animation:", " 0.45s linear infinite;", " ", ""], p => p.thickness, spin, layout, space);
export const Spinner = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    label = "Loading...",
    size = "1.5rem",
    thickness = "2px",
    ...rest
  } = _ref;
  return /*#__PURE__*/_jsx(StyledSpinner, {
    ref: ref,
    size: size,
    thickness: thickness,
    ...rest,
    children: label ? /*#__PURE__*/_jsx(VisuallyHidden, {
      children: label
    }) : null
  });
});
if (process.env.NODE_ENV !== "production") {
  Spinner.displayName = "Spinner";
}