/// <reference types="react" />
import type * as CSS from "csstype";
import type { TypographyProps, SpaceProps, LayoutProps, FlexboxProps, ColorProps, ResponsiveValue } from "styled-system";
export interface TextProps extends Omit<React.HTMLAttributes<HTMLSpanElement>, "color">, TypographyProps, SpaceProps, LayoutProps, FlexboxProps, ColorProps {
    as?: keyof JSX.IntrinsicElements;
    ellipsis?: boolean;
    disabled?: boolean;
    strong?: boolean;
    underline?: boolean;
    italic?: boolean;
    delete?: boolean;
    code?: boolean;
    keyboard?: boolean;
    textTransform?: ResponsiveValue<CSS.Property.TextTransform>;
    overflowWrap?: ResponsiveValue<CSS.Property.OverflowWrap>;
    whiteSpace?: ResponsiveValue<CSS.Property.WhiteSpace>;
    children?: React.ReactNode;
}
export declare const Text: import("react").ForwardRefExoticComponent<TextProps & import("react").RefAttributes<HTMLSpanElement>>;
