import { forwardRef, createElement } from "react";
import { system, typography, space, layout, flexbox, color } from "styled-system";
import styled, { css } from "styled-components";
import { jsx as _jsx } from "react/jsx-runtime";
const other = system({
  textTransform: true,
  overflowWrap: true,
  whiteSpace: true
});
const StyledText = styled.span.withConfig({
  displayName: "text__StyledText",
  componentId: "sc-1fat3fy-0"
})(["transition:color 0.3s;", " ", " ", " ", " ", " ", " ", " ", " code{margin:0 0.2em;padding:0.1em 0.4em;font-size:85%;background:", ";border:1px solid ", ";border-radius:3px;}kbd{margin:0 0.2em;padding:0.1em 0.4em;font-size:90%;background:", ";box-shadow:0 2px 0 ", ";border:1px solid ", ";border-radius:3px;}"], typography, space, layout, flexbox, color, other, p => p.disabled && css(["color:", ";cursor:not-allowed;user-select:none;"], p.theme.colors.disabled), p => p.ellipsis && css(["overflow:hidden;white-space:nowrap;text-overflow:ellipsis;span&{display:inline-block;}"]), p => p.theme.colors.alpha[1], p => p.theme.colors.alpha[1], p => p.theme.colors.gray[1], p => p.theme.colors.gray[4], p => p.theme.colors.gray[4]);
const wrapperTags = Object.entries({
  strong: "strong",
  underline: "u",
  italic: "i",
  delete: "del",
  code: "code",
  keyboard: "kbd"
});
function composeWrappers(props, children) {
  return wrapperTags.reduce((el, _ref) => {
    let [key, tag] = _ref;
    return props[key] ? /*#__PURE__*/createElement(tag, {}, el) : el;
  }, children);
}
export const Text = /*#__PURE__*/forwardRef((_ref2, ref) => {
  let {
    color,
    children,
    ...rest
  } = _ref2;
  return /*#__PURE__*/_jsx(StyledText, {
    ref: ref,
    ...rest,
    color: color,
    children: composeWrappers(rest, children)
  });
});
if (process.env.NODE_ENV !== "production") {
  Text.displayName = "Text";
}