type DisclosureOptions = {
    isOpen?: boolean;
    defaultIsOpen?: boolean;
    onOpen?: () => void;
    onClose?: () => void;
};
type ToggleOptions = {
    delay?: number;
};
/**
 * Uses boolean state with functions to open, close, and toggle.
 */
export declare function useDisclosure({ isOpen: isOpenProp, defaultIsOpen, onOpen, onClose, }?: DisclosureOptions): {
    isOpen: boolean;
    open: (opt?: ToggleOptions) => void;
    close: (opt?: ToggleOptions) => void;
    toggle: (opt?: ToggleOptions) => void;
    clearDelayTimer: () => void;
};
export {};
