/// <reference types="react" />
type ReactRef<T> = React.Ref<T> | React.RefObject<T> | React.MutableRefObject<T>;
/**
 * Assigns a value to a ref function or object.
 */
export declare function assignRef<T = any>(ref: ReactRef<T> | undefined, value: T): void;
/**
 * Gets the valid children of a component and ignores any nullish or falsy child.
 */
export declare function getValidChildren(children: React.ReactNode | React.ReactNode[]): (import("react").ReactChild | import("react").ReactFragment | import("react").ReactPortal)[];
export {};
